<ng-template #content let-modal>
  <div class="modal-header">
    <button type="button" class="btn btn-outline-dark offset-11" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="container">
  <!-- code here -->
  <div class="card">
    <div class="card-image">
      <h2 class="card-heading">
        Add a new category to your menu
      </h2>
    </div>
    <form class="card-form">
      <div class="input">
        <input type="text" class="input-field"/>
        <label class="input-label">Category name</label>
      </div>
      <div class="action">
        <button class="action-button">Add</button>
      </div>
    </form>
  </div>
</div>
</ng-template>

<button class="btn btn-outline-dark"
        type="button" (click)="open(content)">Add Category</button>
